--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Sets value of association target (ex.: author) for given source resource (ex.: article)"
- !ruby/struct:SM::Flow::P 
  body: "@param source [DataMapper::Resource]"
- !ruby/struct:SM::Flow::VERB 
  body: "  Child object (ex.: instance of article)\n"
- !ruby/struct:SM::Flow::P 
  body: "@param source [DataMapper::Resource]"
- !ruby/struct:SM::Flow::VERB 
  body: "  Parent object (ex.: instance of author)\n"
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Associations::ManyToOne::Relationship#set
is_singleton: false
name: set
params: (source, target)
visibility: public
